#ident "$Id: teststore.c,v 1.5 2001/10/19 06:19:51 hpa Exp $"
/* ----------------------------------------------------------------------- *
 *   
 *   Copyright 2000-2001 H. Peter Anvin - All Rights Reserved
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, Inc.,
 *   59 Temple Place Ste 330, Boston MA 02111-1307, USA, version 2.1,
 *   incorporated herein by reference.
 *
 * ----------------------------------------------------------------------- */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include "lpsm.h"

int main(int argc, char *argv[])
{
  void *buf;
  int arena_len = 16384;

  buf = lpsm_arena_init("test.dat", "test.log", &arena_len);

  printf("Read from first page: %s\n", (char *)buf);

  strcpy((char *)buf + 4096, "This is the second page!");
  strcpy((char *)buf + 8192, "This is the third page!");

  printf("Read from third page: %s\n", (char *)buf + 8192);
  lpsm_checkpoint(0.5, PSMSYNC_WAIT);

  strcpy((char *)buf + 8192, "This is also the third page!");

  printf("Read from third page: %s\n", (char *)buf + 8192);
  lpsm_checkpoint(0.0, PSMSYNC_WAIT);

  lpsm_extend(65536);
  strcpy((char *)buf + 32768, "This is the ninth page!");
  lpsm_checkpoint(0.0, PSMSYNC_SYNC);

  return 0;
}

